aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-templayer/APKBUILD
diff options
context:
space:
mode:
authorMatt Smith <mcs@darkregion.net>2011-03-23 16:49:10 -0500
committerMatt Smith <mcs@darkregion.net>2011-03-23 16:49:10 -0500
commit1e8d4670f3e1ca26a885e14211d5291cfbec40d3 (patch)
tree2ead07f5ed876920cb039518c32bc7ef8e29470a /testing/py-templayer/APKBUILD
parent8754d83c62a7cfa158b41d6f506b6f00c97eaab6 (diff)
downloadaports-1e8d4670f3e1ca26a885e14211d5291cfbec40d3.tar.gz
aports-1e8d4670f3e1ca26a885e14211d5291cfbec40d3.tar.bz2
aports-1e8d4670f3e1ca26a885e14211d5291cfbec40d3.tar.xz
testing/py-templayer: improved APKBUILD
Diffstat (limited to 'testing/py-templayer/APKBUILD')
-rw-r--r--testing/py-templayer/APKBUILD11
1 files changed, 6 insertions, 5 deletions
diff --git a/testing/py-templayer/APKBUILD b/testing/py-templayer/APKBUILD
index eeefd4bb53..e12d05c47e 100644
--- a/testing/py-templayer/APKBUILD
+++ b/testing/py-templayer/APKBUILD
@@ -3,7 +3,7 @@
pkgname=py-templayer
_pkgname=templayer
pkgver=1.5.1
-pkgrel=1
+pkgrel=2
pkgdesc="Templayer is a layered template library for Python and Django"
url="http://excess.org/templayer/"
arch="noarch"
@@ -28,15 +28,16 @@ build() {
package() {
cd "$_builddir"
- python setup.py install --root "$pkgdir"
+ python setup.py install --root "$pkgdir" || return 1
}
doc() {
cd "$_builddir"
- mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
- for doc in reference.html tutorial.html tutorial_examples.tar.gz; do
- install -Dm644 ./docs/$doc "$subpkgdir"/usr/share/doc/$pkgname/$doc
+ mkdir -p "$subpkgdir"/usr/share/doc/$pkgname || return 1
+ for _doc in reference.html tutorial.html tutorial_examples.tar.gz; do
+ install -Dm644 ./docs/$_doc \
+ "$subpkgdir"/usr/share/doc/$pkgname/$_doc || return 1
done
}